%%%%%%%%%%%%%%%%%%%%%  Basic options

op(400, xfx, [*,+,^,v,/,\,#]).  % infix operators
op(300,yf,@).                   % postfix operator

clear(print_kept).
clear(print_new_demod).
clear(print_back_demod).

assign(pick_given_ratio, 4).
assign(max_mem, 20000).

%%%%%%%%%%%%%%%%%%%%%  Standard for equational problems

set(knuth_bendix).
set(build_proof_object).

%%%%%%%%%%%%%%%%%%%%%  Standard options for hyperresolution

set(output_sequent).
set(hyper_res).
set(order_history).
set(unit_deletion).
set(para_from_units_only).
set(para_into_units_only).

%%%%%%%%%%%%%%%%%%%%%  Modifications to strategy

assign(max_weight, 17).

%%%%%%%%%%%%%%%%%%%%%  Clauses

list(usable).
x = x.
(A ^ B) ^ C != A ^ (B ^ C) | (A v B) v C != A v (B v C).
end_of_list.

list(sos).
x ^ x = x.
x ^ y = y ^ x.
((x v z) ^ (y v z)) ^ z = z.

x v x = x.
x v y = y v x.
((x ^ z) v (y ^ z)) v z = z.
end_of_list.

list(sos).
x ^ (y v (x v z)) = x.
end_of_list.

% THe following is so that if the negative clause gets
% back demodulated, it will be selected as given clause.

weight_list(pick_and_purge).
weight(A, 0).
weight(B, 0).
weight(C, 0).
end_of_list.

